MyBB Community Forums

Full Version: How to upload 1.6.2?
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2
Hi there,

I am trying to upload the newest version (from 1.4.11).

I have been doing it file by file because I don't seem to be able to find a quicker way, but it is taking me ages!!! There must be a way of doing it in one go...

My host's file manager SEEMS to be giving me the option of downloading one file at the time, and not a directory as a whole. Am i missing something?

Hope someone can reply soon...

Thanks a lot.

A.

Thanks
http://filezilla-project.org/

Get your server's FTP information. (Usually ftp.domain.com username = cpanel username and cpanel password for the password.) Implying you have cPanel.
OK, I think this will need some more studying...

Now I have uploaded some files, but by the time I understand how this works... it is going to be some time.

How can I get my forum back online? I have the backup ready at hand, but not obvious way to load it.
OK, making some little progress...
I got filezilla and I am connected to my host and my computer. I can see the files no problem, but when I try to transfer... everything seems to work, but the files don't appear to have been updated.
However I have managed to get something done (although it was a mistake) as I have uploaded the whole "Upload" on my server, as opposed to the single directories. In other words, if I download something new (like a directory in the worng place, so it doesn't have to overwrite it) it does 't fine (so I am ending up with some duplicates where I don't want them). However if I want to update a file, it's not doing itSad

I tried to delete some of the content of my folder "forum" so that I would start from scratch, but my host is not letting me...

I am losing the will to live!! (And the forum is still down...)
No, you don't need to do it one file at a time Toungue I did that when I first started though Shy

You shouldn't need the backup unless something goes wrong, nothing's happened to your actual database, you just need to run the upgrade script after the files have been uploaded.

[Wiki: Upgrading] (Broken link, head over to docs.mybb.com instead)
OK, things are moving on...
As I couldn't delete the contents of "forum", I have renamed it "sforum", created another folder called "forum" and copied the files from "Uploads" in there. I have also copied from sforum to forum two folders relatives at smiles and chat as they are obviously not included in "Uploads".
Once I am done I will try to delete "sforum" as it isn't necessary.

My next problem, though is that when I try to rub the script I get this error message:

Warning: require_once(/web/htdocs/www.autosvezzamento.it/home/forum/inc/config.php) [function.require-once]: failed to open stream: No such file or directory in /web/htdocs/www.autosvezzamento.it/home/forum/install/upgrade.php on line 41

Fatal error: require_once() [function.require]: Failed opening required '/web/htdocs/www.autosvezzamento.it/home/forum/inc/config.php' (include_path='.:/php5/lib/php/') in /web/htdocs/www.autosvezzamento.it/home/forum/install/upgrade.php on line 41

This is probably linked to the fact taht I started the from scratch with a new folder...

Any ideas?
(03-13-2011, 02:07 PM)Arka Wrote: [ -> ]OK, things are moving on...
As I couldn't delete the contents of "forum", I have renamed it "sforum", created another folder called "forum" and copied the files from "Uploads" in there. I have also copied from sforum to forum two folders relatives at smiles and chat as they are obviously not included in "Uploads".
Once I am done I will try to delete "sforum" as it isn't necessary.

My next problem, though is that when I try to rub the script I get this error message:

Warning: require_once(/web/htdocs/www.autosvezzamento.it/home/forum/inc/config.php) [function.require-once]: failed to open stream: No such file or directory in /web/htdocs/www.autosvezzamento.it/home/forum/install/upgrade.php on line 41

Fatal error: require_once() [function.require]: Failed opening required '/web/htdocs/www.autosvezzamento.it/home/forum/inc/config.php' (include_path='.:/php5/lib/php/') in /web/htdocs/www.autosvezzamento.it/home/forum/install/upgrade.php on line 41

This is probably linked to the fact taht I started the from scratch with a new folder...

Any ideas?

It is missing the config.php file, have you tried uploading them in a ZIP then extracting them on your hosts panel
hem... where do I get this config file?

I have found one within inc/inc, but I am not sure if there are supposed to be more.
(03-13-2011, 02:15 PM)Arka Wrote: [ -> ]hem... where do I get this config file?

I have found one within inc/inc, but I am not sure if there are supposed to be more.


I have checked in "sforum" (i.e. the old files) and there is a config within inc.
In "forum" (i.e. the new version) in "inc" I have config_default (assuming this helps).
No, there is one created when you run the installer.
Well, I have not run the installer because ... I don't know how to...
I was trying to upgrade, but I suppose I am doing an whole new installation now...

I'll see if I can find it.
Go to /install/upgrade.php
Pages: 1 2